using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace a
{
    class Program
{
    static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            List<int> x = new List<int>();
            List<int> y = new List<int>();
            bool[,] mat = new bool[21,21];
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                int j1 = int.Parse(s[0]);
                
                int j2 = int.Parse(s[1]);
                mat[10 - j2,10 + j1] = true;
            }
            Console.WriteLine(1);
        }
    }
}